Index: opeflx.f
===================================================================
--- opeflx.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ opeflx.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,53 +1,34 @@
-! **************************************************************
-!
-! This file contains the subroutines: opeflx,gdtflx
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: opeflx,gdtflx
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine opeflx(nml)
 
-! ......................................................................
-! PURPOSE: Calculate internal energy for FLEX dataset and its partial
-!          derivatives vs. variables using recursive algorithm from:
-!          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
-!          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
-!          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
-!          for atomic forces instead of simple derivatives (see Lavery R,
-!          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
-!          989-1014 1986)
-!
-! CALLS:   gdtflx
-! ......................................................................
+c ......................................................................
+c PURPOSE: Calculate internal energy for FLEX dataset and its partial
+c          derivatives vs. variables using recursive algorithm from:
+c          Noguti T, Go N, J Phys Soc (Japan) v52 3685-3690 1984; Abe H,
+c          Braun W, Noguti T, Go N, Comp Chem v8 239-247 1984; Mazur A K,
+c          Abagyan R A, J Biomol Struct Dyn v6 815-832, which I modified
+c          for atomic forces instead of simple derivatives (see Lavery R,
+c          Sklenar H, Zakrzewska K, Pullman B, J Biomol Struct Dyn v3
+c          989-1014 1986)
+c
+c CALLS:   gdtflx
+c ......................................................................
 
       include 'INCL.H'
 
-      integer nml
-      
-      double precision enyflx
-      
-      integer ims, i1a, i14, i1, i, i1s, i2s, i2, i2a, j, io, ifivr
-      integer iad, ia, ib, ic, ilavr, ijhb, iowh, it, ity, iv, ivw, jty
-      integer jowh, lad, ntlvr
-      double precision cqi,c, ep, e0, deyds, cqiqj, eynw, eyol, deel
-      double precision ex, cth, dhb, deyrp, eel, eyds, ey, eyrp, ez
-      double precision fvr, hhb, gda, gdn, vrn, p, py, px, pz, yfiv
-      
-      double precision rij6, rij12, rij, rij2, sr, sr2, vr, xti
-      double precision xb, xj, xfriv, xfiv, xfi, xfji, xij, xi, xsr
-      double precision yb, yfi, yfji, yfriv, yi, yij, yj, zfi, yti
-      double precision zb, zfiv, zfji, zfriv, zij, zi, zj, zti, del
-  
-      
-      double precision xfat, yfat, zfat, xtat, ytat, ztat, xfvr, yfvr
-      double precision zfvr, xfrvr, yfrvr, zfrvr
       dimension xfat(mxat),yfat(mxat),zfat(mxat),
-     &          xtat(mxat),ytat(mxat),ztat(mxat),
-     &          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
-     &          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
+     #          xtat(mxat),ytat(mxat),ztat(mxat),
+     #          xfvr(mxvr),yfvr(mxvr),zfvr(mxvr),
+     #          xfrvr(mxvr),yfrvr(mxvr),zfrvr(mxvr)
 
 
@@ -60,6 +41,6 @@
       ntlvr=nvrml(nml)
       if (ntlvr.eq.0) then
-        write (logString, '(a,i4)')
-     &           ' opeflx> No variables defined in molecule #',nml
+        write (*,'(a,i4)')
+     #           ' opeflx> No variables defined in molecule #',nml
         return
       endif
@@ -136,5 +117,5 @@
         endif
 
-! ============================================ Energies & Atomic forces
+c ============================================ Energies & Atomic forces
 
         xfiv=0.d0
@@ -268,5 +249,5 @@
                     yfji=yfji+ dhb*py+ hhb*yij
                     zfji=zfji+ dhb*pz+ hhb*zij
-! __________________________________________________ No Hydrogen Bond
+c __________________________________________________ No Hydrogen Bond
                   else
                     eyvw=eyvw+eyrp-eyds
@@ -384,5 +365,5 @@
                   yfji=yfji+ dhb*py+ hhb*yij
                   zfji=zfji+ dhb*pz+ hhb*zij
-! __________________________________________________ No Hydrogen Bond
+c __________________________________________________ No Hydrogen Bond
                 else
                   eyvw=eyvw+eyrp-eyds
@@ -443,6 +424,6 @@
 
           gdeyvr(iv)= (ey*zb-ez*yb)*xfiv+(ez*xb-ex*zb)*yfiv+
-     &                (ex*yb-ey*xb)*zfiv
-     &               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
+     #                (ex*yb-ey*xb)*zfiv
+     #               +ex*xfriv+ey*yfriv+ez*zfriv -fvr
 
         elseif (it.eq.1) then         ! b.length
@@ -460,27 +441,22 @@
       return
       end
-! *****************************
+c *****************************
       subroutine gdtflx(nml,iv)
 
-! .....................................................................
-! PURPOSE: calculate partial derivative of internal energy for molecule
-!          'nml' vs. variable 'iv' NUMERICALLY and compare with
-!          its value obtained analytically
-!
-! CALLS:  setvar, enyflx
-! .....................................................................
+c .....................................................................
+c PURPOSE: calculate partial derivative of internal energy for molecule
+c          'nml' vs. variable 'iv' NUMERICALLY and compare with
+c          its value obtained analytically
+c
+c CALLS:  setvar, enyflx
+c .....................................................................
 
       include 'INCL.H'
 
-      integer nml, iv, it, i
-      double precision enyflx
-      
-      double precision del
       parameter (del=1.d-7)
 
-      double precision eynw, eyol, gda, gdn, ovr, vlvrx
       dimension vlvrx(mxvr)
 
-! ____________________________ get & save values of variables
+c ____________________________ get & save values of variables
       do i=1,ivrml1(ntlml)+nvrml(ntlml)-1
         it=ityvr(i)  ! type
@@ -504,8 +480,8 @@
       gda=gdeyvr(iv)         ! analytical der.
 
-      write (logString, '(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
-     &       abs(gda-gdn),')'
-
-! _________________________ restore
+      write (*,'(1x,2a,2(e12.6,a))') nmvr(iv),': ',gda,' (',
+     #       abs(gda-gdn),')'
+
+c _________________________ restore
       vlvrx(iv)=ovr
       call setvar(nml,vlvrx)
